Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Delete a Generic CRM integration (/v2/crm/integrations)

Prev Next
Delete
/v2/crm/integrations

Asynchronously deletes a CRM integration and all its associated CRM objects (Accounts, Contacts, Deals, Leads, and Users).

This endpoint gets the clientRequestId generated by you as the request identifier. Use this to check the status of the delete request by calling the /request-status endpoint,with the clientRequestId.

A status of DONE indicates that the integration and all its associated crm objects have been successfully deleted. This may take up to 24 hours to be deleted.


Required authorization scope: 'api:crm:integration:delete'.

Example

DELETE https://api.gong.io/v2/crm/integrations?clientRequestId=1234&integrationId=6286478263646
Query parameters
integrationId
integer (int64) Required

The ID of the integration to delete

clientRequestId
stringRequired

A unique identifier generated and sent by you to allow troubleshooting. Valid characters are letters, numbers, dashes and underscores.

Responses
201

Successfully registered the delete integration request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
clientRequestId
string

The clientRequestId sent in the request - used to monitor the request process

ExampleclientRequest1
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
409

Client request id has already been used

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string